wood burning stoves 2.0*
The moose likes IDEs, Version Control and other tools and the fly likes Eclipse won't start up after update Big Moose Saloon
  Search | Java FAQ | Recent Topics | Flagged Topics | Hot Topics | Zero Replies
Register / Login


Win a copy of Android Security Essentials Live Lessons this week in the Android forum!
JavaRanch » Java Forums » Engineering » IDEs, Version Control and other tools
Bookmark "Eclipse won Watch "Eclipse won New topic
Author

Eclipse won't start up after update

Joe Gliniecki
Greenhorn

Joined: Oct 25, 2007
Posts: 18
I was running Eclipse WTP 3.0.3 fine for months. Today I decided to update to 3.0.4. The update went fine and it asked me to restart as usual. However eclipse will now no longer start since the update.

The small screen that usually shows Eclipse starting up is displayed for only a split second and then goes away. Also, the log file at <workspace_dir>/.metadata/.log is not updated from the attempted start. Not sure if there are any other log files to look at.

The last entry in the log it this:


with many more of the "requiredCapability" lines.

This happened to me last fall also, and I then just re-installed Eclipse from scratch (since I couldn't start Eclipse to revert to the old configuration), but thought I'd now try and see if there is a solution, or maybe a bug that the community could be made aware of.

Thanks,
Joe
Peter Johnson
author
Bartender

Joined: May 14, 2008
Posts: 5812
    
    7

Maybe I should not even suggest this, but here goes. Every time I have run into something like this, the only solution I have found is to re-install Eclipse. I have lost track of the number of times I have reinstalled Eclipse because of an upgrade gone bad. But them on my desktop I have am currently running at least 4 different Eclipse installations, each with different sets of plugins, so I don't find installing Eclipse all that onerous.


JBoss In Action
 
It is sorta covered in the JavaRanch Style Guide.
 
subject: Eclipse won't start up after update
 
Similar Threads
can not deploy application!!!!
not able to integrate Spring with Eclipse
The import com.google cannot be resolved
Eclipse Ganymede : undefined command: plug-in='org.eclipse.tm.terminal'
Problems w/ Eclipse RCP